package com.huimv.environ.env.service;

import com.dahuatech.icc.exception.ClientException;
import com.huimv.common.utils.Result;

import java.text.ParseException;

public interface IAlarm {
    //
    Result getAlarm(Integer farmId, Integer alarmType, String alarmDate, Integer pageSize, Integer pageNo) throws ParseException;

    Result getAlarm(Integer farmId, Integer alarmType, String alarmDate, Integer quantity) throws ParseException;

    Result getAlarm(Integer farmId, Integer quantity) throws ParseException;

    Result getOneWeekAlarm(Integer farmId) throws ParseException;

    Result getAlarmRate(Integer farmId) throws ParseException, ClientException;
}
